Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	time delay calculation tool fpr Microchip(tm) microcontrollers	
Name:      	pikloops
Version:   	0.2.1
Release:   	1
Provides:	%{name}
License: 	GNU/GPL
URL:		http://pikloops.tripod.com/	
Group:     	Development/PIC
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  kdelibs-devel
BuildRequires:  xorg-devel
BuildRequires:  xorg-libs
BuildRequires:  libart_lgpl-devel
BuildRequires:  fam-devel
BuildRequires:  libidn-devel
BuildRequires:  libpng-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel


%description
PiKLoops is a simple KDE program used to generate assembly time delays for Microchip(tm) microcontrolers using Microchip(tm) instructions.
PiKLoops has become an external tool for PiKdev. PiKloops can be launched from PiKdev, and generated code can be dragged to PiKdev editor.

%post
ldconfig

%postun
ldconfig


%prep
%setup -n %{name}-%{version}


%build
./configure --prefix=`kde-config --expandvars --prefix`
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
/opt/kde

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- Initial Release
